Upstream information

CVE-2014-9912 at MITRE

Description

The get_icu_disp_value_src_php function in ext/intl/locale/locale_methods.c in PHP before 5.3.29, 5.4.x before 5.4.30, and 5.5.x before 5.5.14 does not properly restrict calls to the ICU uresbund.cpp component, which allows remote attackers to cause a denial of service (buffer overflow) or possibly have unspecified other impact via a locale_get_display_name call with a long first argument.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 7.5 6
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P AV:N/AC:M/Au:S/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Low Medium
Authentication None Single
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
SUSE Bugzilla entries: 1012224 [RESOLVED / FIXED], 1012232 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP4
  • apache2-mod_php53 >= 5.3.17-94.1
  • php53 >= 5.3.17-94.1
  • php53-bcmath >= 5.3.17-94.1
  • php53-bz2 >= 5.3.17-94.1
  • php53-calendar >= 5.3.17-94.1
  • php53-ctype >= 5.3.17-94.1
  • php53-curl >= 5.3.17-94.1
  • php53-dba >= 5.3.17-94.1
  • php53-dom >= 5.3.17-94.1
  • php53-exif >= 5.3.17-94.1
  • php53-fastcgi >= 5.3.17-94.1
  • php53-fileinfo >= 5.3.17-94.1
  • php53-ftp >= 5.3.17-94.1
  • php53-gd >= 5.3.17-94.1
  • php53-gettext >= 5.3.17-94.1
  • php53-gmp >= 5.3.17-94.1
  • php53-iconv >= 5.3.17-94.1
  • php53-intl >= 5.3.17-94.1
  • php53-json >= 5.3.17-94.1
  • php53-ldap >= 5.3.17-94.1
  • php53-mbstring >= 5.3.17-94.1
  • php53-mcrypt >= 5.3.17-94.1
  • php53-mysql >= 5.3.17-94.1
  • php53-odbc >= 5.3.17-94.1
  • php53-openssl >= 5.3.17-94.1
  • php53-pcntl >= 5.3.17-94.1
  • php53-pdo >= 5.3.17-94.1
  • php53-pear >= 5.3.17-94.1
  • php53-pgsql >= 5.3.17-94.1
  • php53-pspell >= 5.3.17-94.1
  • php53-shmop >= 5.3.17-94.1
  • php53-snmp >= 5.3.17-94.1
  • php53-soap >= 5.3.17-94.1
  • php53-suhosin >= 5.3.17-94.1
  • php53-sysvmsg >= 5.3.17-94.1
  • php53-sysvsem >= 5.3.17-94.1
  • php53-sysvshm >= 5.3.17-94.1
  • php53-tokenizer >= 5.3.17-94.1
  • php53-wddx >= 5.3.17-94.1
  • php53-xmlreader >= 5.3.17-94.1
  • php53-xmlrpc >= 5.3.17-94.1
  • php53-xmlwriter >= 5.3.17-94.1
  • php53-xsl >= 5.3.17-94.1
  • php53-zip >= 5.3.17-94.1
  • php53-zlib >= 5.3.17-94.1
Patchnames:
slessp4-php53-12933
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • apache2-mod_php53 >= 5.3.17-94.1
  • php53 >= 5.3.17-94.1
  • php53-bcmath >= 5.3.17-94.1
  • php53-bz2 >= 5.3.17-94.1
  • php53-calendar >= 5.3.17-94.1
  • php53-ctype >= 5.3.17-94.1
  • php53-curl >= 5.3.17-94.1
  • php53-dba >= 5.3.17-94.1
  • php53-dom >= 5.3.17-94.1
  • php53-exif >= 5.3.17-94.1
  • php53-fastcgi >= 5.3.17-94.1
  • php53-fileinfo >= 5.3.17-94.1
  • php53-ftp >= 5.3.17-94.1
  • php53-gd >= 5.3.17-94.1
  • php53-gettext >= 5.3.17-94.1
  • php53-gmp >= 5.3.17-94.1
  • php53-iconv >= 5.3.17-94.1
  • php53-intl >= 5.3.17-94.1
  • php53-json >= 5.3.17-94.1
  • php53-ldap >= 5.3.17-94.1
  • php53-mbstring >= 5.3.17-94.1
  • php53-mcrypt >= 5.3.17-94.1
  • php53-mysql >= 5.3.17-94.1
  • php53-odbc >= 5.3.17-94.1
  • php53-openssl >= 5.3.17-94.1
  • php53-pcntl >= 5.3.17-94.1
  • php53-pdo >= 5.3.17-94.1
  • php53-pear >= 5.3.17-94.1
  • php53-pgsql >= 5.3.17-94.1
  • php53-pspell >= 5.3.17-94.1
  • php53-shmop >= 5.3.17-94.1
  • php53-snmp >= 5.3.17-94.1
  • php53-soap >= 5.3.17-94.1
  • php53-suhosin >= 5.3.17-94.1
  • php53-sysvmsg >= 5.3.17-94.1
  • php53-sysvsem >= 5.3.17-94.1
  • php53-sysvshm >= 5.3.17-94.1
  • php53-tokenizer >= 5.3.17-94.1
  • php53-wddx >= 5.3.17-94.1
  • php53-xmlreader >= 5.3.17-94.1
  • php53-xmlrpc >= 5.3.17-94.1
  • php53-xmlwriter >= 5.3.17-94.1
  • php53-xsl >= 5.3.17-94.1
  • php53-zip >= 5.3.17-94.1
  • php53-zlib >= 5.3.17-94.1
Patchnames:
slessp4-php53-12933
SUSE Linux Enterprise Software Development Kit 11 SP4
  • php53 >= 5.3.17-94.1
  • php53-devel >= 5.3.17-94.1
  • php53-imap >= 5.3.17-94.1
  • php53-posix >= 5.3.17-94.1
  • php53-readline >= 5.3.17-94.1
  • php53-sockets >= 5.3.17-94.1
  • php53-sqlite >= 5.3.17-94.1
  • php53-tidy >= 5.3.17-94.1
Patchnames:
sdksp4-php53-12933


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Module for Web and Scripting 12 php5 Not affected
SUSE Linux Enterprise Module for Web and Scripting 12 php7 Not affected
SUSE Linux Enterprise SDK 11 SP4 php53 Released
SUSE Linux Enterprise SDK 12 SP1 php5 Not affected
SUSE Linux Enterprise SDK 12 SP1 php7 Not affected
SUSE Linux Enterprise SDK 12 SP2 php5 Not affected
SUSE Linux Enterprise SDK 12 SP2 php7 Not affected
SUSE Linux Enterprise Server 11 SP4 php53 Released